import vue from 'vue'

import toast from './index.vue'

const ToastConstructor = vue.extend(toast)

function showToast (config) {
  const toastDom = new ToastConstructor({
    el: document.createElement('div'),
    data () {
      return {
        text: config.text,
        duration: config.duration || 3000,
        show: true,
        fadeIn: true
      }
    }
  })

  document.body.appendChild(toastDom.$el)

  setTimeout(() => {
    toastDom.fadeIn = false
  }, toastDom.duration - 600);
  setTimeout(() => {
    toastDom.show = false
  }, toastDom.duration)
}

function registerToast () {
  vue.prototype.$toast = showToast
}

export default registerToast
